/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop;

import java.lang.reflect.Method;

/**
 * @author Shen Li
 */
public interface Invocation extends Joinpoint {    
    Method getMethod();

    Object[] getArguments();

    Object proceed() throws Throwable;
}
